cIOSCORP without DIP?

Discussion in 'Wii - Hacking' started by Blue-K, Mar 27, 2009.

  1. Blue-K
    OP

    Blue-K No right of appeal.

    Member
    2,572
    1
    Jun 21, 2008
    Swaziland
    Helvetica
    Well, I first searched for half an hour, but haven't found something...sadly [​IMG].

    So, I have enough of some Games that requires an IOS which I haven't installed, and I would like to start fresh, with the IOSes, and for all the Trucha-Bug enabled...so I'm looking for something like a "TruchaCorp-Package", so all IOS with the Trucha-Bug patched. And no, I don't want to go to 4.0, I want to stay at 3.2 for some time. Now, since cIOSCORP has also the custom DIP Patch, which I don't want and need, Is there any other Package out there that only have the Trucha-Bug patched?

    If there isn't one, will this work:

    1)Extract .wads with WUFE
    2)Patch Bug in all .wads with freethebug.bat
    3)Re-Install 3.2E (just to be shure)
    3)Install .wads with Multiple WAD Installer

    ? I know it's dangerous if something goes wrong with Patching, but I think I'm willing to take the risk.

    So anyone has some Infos if this will work, or even better, if there's a Package floating around?

    ~Blue-K
     
  2. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    I made this already [​IMG]. Its called my 4.0 auto-installer, though it hasn't been tested yet...if it works then we have this!
     
  3. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    But Blue-K doesn't want to go to 4.0
     
  4. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    If it works, I'll just remove the 4.0 part and give it to him [​IMG].
     
  5. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    I think this question is really interesting. I'm on 4.0 but I ran IOSDowngrader to enable the Trcuha Bug again (I think it just installs old IOS wich had the Trucha bug) and now my legit Games (in this case Mario Kart) want an Update. If I would patch the WADs from the games disc with Trucha Bug and install them the games would find new IOS but it would have the Trucha bug, right?
     
  6. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    basicaly, IOS Downgrader literally downgrades, while my stuff will Patch it into the new versions (all based on bushings AWESOME patchmii!)
     
  7. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    But it does only download IOSes which are not already on the Wii?
    Can you modify it (or make a second version) which Updates all IOSes to the latest versions (but with Trucha Bug)?
     
  8. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    It just downloads the latest version of the IOS then installs it with trucha patched in.
     
  9. Blue-K
    OP

    Blue-K No right of appeal.

    Member
    2,572
    1
    Jun 21, 2008
    Swaziland
    Helvetica
    That won't work for all IOS, as far as I've got it. Some IOS like IOS37 have been updated, and are unpatchable with the Trucha-Bug, at least I've read that somewhere... EDIT: Looks like I'm (again) wrong...

    @icefireicefire: Well, that sounds awesome [​IMG]. Let's wait a little bit...
     
  10. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    So if I with my 4.0 Wii but old IOSes use your (already released) app (from the other thread) it will Update ll IOSes but with Trucha Bug?
    For example: I have IOS35 v1040, would it download IOS35 v3092 and patch it? This would be awesome and I wouldn't need any Update Blocker as I would be on the newest firmware with newest IOSEs and Mario Kart would be pleased [​IMG]
     
  11. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    Yes. That is the point of my isntaller (but I'm not sure if it works...).

    HOWEVER the system menu version will be set to be OLDER than 3.2. This is because I want to make sure that if you brick with like a theme, you can update and unbrick with savemiifrii (I can remove this anytime).
     
  12. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    This sounds promising [​IMG]
    At the moment I'minstalling my selfpatched WADs (only the ones needed for Mario kart) to see if this works. I would tets your application if you could upload a version which doesn't patch the sysmenu version. I don't do much things which could cause a brick (neither theming nor selfmade homebrew channels).

    EDIT: No update message from Mario Karty anymore.
    Now I would love to test your app without the version modifying.
     
  13. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    OK, I'll upload one that keeps them the same.
     
  14. Blue-K
    OP

    Blue-K No right of appeal.

    Member
    2,572
    1
    Jun 21, 2008
    Swaziland
    Helvetica
    What, you too [​IMG]? I was bored, and extracted and Patched all IOS from Mario Power Tennis. Not all the IOS are the newest one, because 4.0 updated nearly all of them, but some seems to be Up-to-Date. Patching went fast, around 10 seconds. Now I'm thinking if I should Install these or wait for icefires Intsaller...guess I'll wait...If something goes wrong, I can bale icefire, and not myself (JK) [​IMG]
     
  15. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
  16. mousex

    mousex GBAtemp Advanced Fan

    Member
    987
    0
    Jan 23, 2009
    United States
    I'll test it in a few minutes.

    EDIT: Downloaded, patched and installed IOS60, then wanted to install Sysmenu 4.0 and patch the version number but failed to create the temporary directory.
    icefire, are you on some IRC?
     
  17. icefireicefire

    icefireicefire GBATemp Fails.

    Member
    961
    0
    Dec 19, 2008
    United States
    I'm on #wadder in EFNET.